Subject: RE: [Mipshop] FMIPv6 - FBU Authentication

From: "Narayanan Vidya-CVN065" <[email-masked]>
Date: Mon, 24 Oct 2005 10:57:35 -0400

Hi Francis,
    
> => it makes sense but IMHO this is not a good idea: the 
> "Authentication Protocol for Mobile IPv6" is for specific 
> environments and should be informational for ever, so if you 
> use it you should be restricted to these environments and 
> never go to standard track. I think you should look at better 
> bootstrapping stuff, including IKEv2 which seems the best 
> general mechanism, and AAA-based mechanisms which should be 
> applicable in your special case.
> 

The dependency on an informational document did concern me as well.
Please note that we aren't using this to bootstrap a key between the MN
and AR. The AAA-based or SEND-based mechanism will be used to create the
shared key itself. Once a key is available between the MN and AR, this
is just providing a means of carrying the SPI and auth data between the
MN and AR. 

We can define a separate mobility option independent of the mip6 auth
protocol - but, it is going to look identical :) However, if folks think
that just for the sake of removing the dependency on informational
documents, that is better, we can certainly go that route. 

Comments? 

Regards,
Vidya

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop